Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.jsb
Class ServiceBeanSLAManager

    java.lang.Object
      org.jini.rio.jsb.ServiceBeanSLAManager

    public class ServiceBeanSLAManager

extends Object

The ServiceBeanSLAManager manages service-specific SLAs, and as needed uses the `WatchInjector` to create declarative watches

Constructor Summary
`ServiceBeanSLAManager(Object impl, Object proxy, ServiceBeanContext context, EventHandler slaEventHandler)`

Method Summary
`void` | `addSLAs(SLA[] slas)` Add a new SLA.
`void` | `createSLAThresholdEventAdapter()` If the servicebean has registered to JMX, and if there are declared system SLAs that have been registered and the SLAThresholdEventAdapter is null, create the adapter and register if
`void` | `terminate()` Terminate the ServiceBeanSLAManager, cleaning up pending resources
`void` | `updateSLAs(SLA[] slas)` Update SLAs

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceBeanSLAManager

    public ServiceBeanSLAManager(Object impl,
                                 Object proxy,
                                 ServiceBeanContext context,
                                 EventHandler slaEventHandler)
                          throws IntrospectionException

Throws:
  `IntrospectionException`

Method Detail

### terminate

    public void terminate()

  Terminate the ServiceBeanSLAManager, cleaning up pending resources

### addSLAs

    public void addSLAs(SLA[] slas)

  Add a new SLA.

  Parameters:
    `slas` - Array of SLA instances to add

### updateSLAs

    public void updateSLAs(SLA[] slas)

  Update SLAs

  Parameters:
    `slas` - Array of SLAs to update

### createSLAThresholdEventAdapter

    public void createSLAThresholdEventAdapter()

  If the servicebean has registered to JMX, and if there are declared system SLAs that have been registered and the SLAThresholdEventAdapter is null, create the adapter and register if

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.